gi-harfbuzz-0.0.10: HarfBuzz bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.HarfBuzz.Structs.OtMathGlyphVariantT

Contents

- Exported types
- Methods
- Properties
  - advance
  - glyph

Description

Data type to hold math-variant information for a glyph.

Since: 1.3.3

Synopsis

- newtype OtMathGlyphVariantT = OtMathGlyphVariantT (ManagedPtr OtMathGlyphVariantT)
- newZeroOtMathGlyphVariantT :: MonadIO m => m OtMathGlyphVariantT
- getOtMathGlyphVariantTAdvance :: MonadIO m => OtMathGlyphVariantT -> m Int32
- setOtMathGlyphVariantTAdvance :: MonadIO m => OtMathGlyphVariantT -> Int32 -> m ()
- getOtMathGlyphVariantTGlyph :: MonadIO m => OtMathGlyphVariantT -> m Word32
- setOtMathGlyphVariantTGlyph :: MonadIO m => OtMathGlyphVariantT -> Word32 -> m ()

# Exported types

newtype OtMathGlyphVariantT Source #

Memory-managed wrapper type.

Constructors

OtMathGlyphVariantT (ManagedPtr OtMathGlyphVariantT) |

#### Instances

Instances details

Eq OtMathGlyphVariantT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtMathGlyphVariantT Methods (==) :: OtMathGlyphVariantT -> OtMathGlyphVariantT -> Bool Source # (/=) :: OtMathGlyphVariantT -> OtMathGlyphVariantT -> Bool Source #
GBoxed OtMathGlyphVariantT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtMathGlyphVariantT
ManagedPtrNewtype OtMathGlyphVariantT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtMathGlyphVariantT Methods toManagedPtr :: OtMathGlyphVariantT -> ManagedPtr OtMathGlyphVariantT Source #
TypedObject OtMathGlyphVariantT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtMathGlyphVariantT Methods glibType :: IO GType Source #
HasParentTypes OtMathGlyphVariantT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtMathGlyphVariantT
tag ~ 'AttrSet => Constructible OtMathGlyphVariantT tag Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtMathGlyphVariantT Methods new :: MonadIO m => (ManagedPtr OtMathGlyphVariantT -> OtMathGlyphVariantT) -> [AttrOp OtMathGlyphVariantT tag] -> m OtMathGlyphVariantT Source #
IsGValue (Maybe OtMathGlyphVariantT) Source # | Convert `OtMathGlyphVariantT` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.HarfBuzz.Structs.OtMathGlyphVariantT Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe OtMathGlyphVariantT -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe OtMathGlyphVariantT) Source #
type ParentTypes OtMathGlyphVariantT Source # |
Instance details Defined in GI.HarfBuzz.Structs.OtMathGlyphVariantT type ParentTypes OtMathGlyphVariantT = '[] :: [Type]

newZeroOtMathGlyphVariantT :: MonadIO m => m OtMathGlyphVariantT Source #

Construct a `OtMathGlyphVariantT` struct initialized to zero.

# Methods

# Properties

## advance

The advance width of the variant

getOtMathGlyphVariantTAdvance :: MonadIO m => OtMathGlyphVariantT -> m Int32 Source #

Get the value of the “`advance`” field. When overloading is enabled, this is equivalent to

    get otMathGlyphVariantT #advance

setOtMathGlyphVariantTAdvance :: MonadIO m => OtMathGlyphVariantT -> Int32 -> m () Source #

Set the value of the “`advance`” field. When overloading is enabled, this is equivalent to

    set otMathGlyphVariantT [ #advance := value ]

## glyph

The glyph index of the variant

getOtMathGlyphVariantTGlyph :: MonadIO m => OtMathGlyphVariantT -> m Word32 Source #

Get the value of the “`glyph`” field. When overloading is enabled, this is equivalent to

    get otMathGlyphVariantT #glyph

setOtMathGlyphVariantTGlyph :: MonadIO m => OtMathGlyphVariantT -> Word32 -> m () Source #

Set the value of the “`glyph`” field. When overloading is enabled, this is equivalent to

    set otMathGlyphVariantT [ #glyph := value ]